Doomsday Engine - Bug #201

Multiple Flechette bug
2004-11-29 09:43 - ffabbia

Status: Closed Start date: 2004-11-29
Priority: Low % Done: 100%
Assignee: danij

Category:

Target version: 1.8.3

Description

It's been noted by myself and others on the New
Doom/Source Ports/Doomsday forum that a bug may
exist within the latest version of JHexen.

The bug takes the form of a player launching multiple
flechettes. Hitting the key to lauch them results in a
random number of flechettes being thrown, the number
varies from one to four. This does not appear to be
related to individual keyboards, or other user errors, as
others have also experienced this.

This problem has also been noted to occur when using
the Dark Servant powerup.

Labels: jHexen

History

#1 - 2005-01-01 18:29 - skyjake

Logged In: YES
user_id=717323

| can't reproduce this bug.

Is your FPS below 357 Have you changed keybindings for throwing
the flechette? Does the bug occur in a clean default installation?

#2 - 2005-02-16 05:13 - zachkeene

Logged In: YES
user_id=1103163

I'm getting this too with latest CVS on Linux. But yes, it
only seems to happen when my FPS drops too low (not terribly
difficult on my old machine :).

These are my Hexen keybindings, but | don't think they're
the problem:

bind left"eft
" "
bind—+ "viewsize *
bind—= "viewsize -"
bind +pause "pause”
bind -f "-health”

bind +f "+health"

#3 - 2006-04-09 23:43 - danij

Logged In: YES
user_id=849456

For whatever reason | too suddenly started experiencing this
bug.

| checked my control bindings and +usearti was set as a
repeatable event but after changing it to a one time event |
was still getting this problem.

After checking the code | noticed there was slightly

different logic for action]A_USEARTIFACT] between jHeretic
and jHexen.

As | do not have this problem in jHeretic | changed the
jHexen logic branch to use that of jHeretic - this resolved

the problem.

It looks like it was an issue with the way the var "usearti"
was manipulated in the jHexen logic branch.

I'll check the fix in to SVN soon.
